/* Custom Styles for PSH Solutions */

html {
    scroll-behavior: smooth;
}

section[id] {
    scroll-margin-top: 100px;
}


.material-symbols-outlined {
    font-variation-settings: 'FILL' 0, 'wght' 400, 'GRAD' 0, 'opsz' 24;
}

@keyframes marquee {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}

.animate-marquee {
    animation: marquee 30s linear infinite;
}

.glass-card {
    background: rgba(230, 220, 196, 0.42);
    backdrop-filter: blur(8px);
    border: 1px solid rgba(26, 54, 93, 0.15);
}

img.object-contain {
    max-width: 300px;
}

h3 {
    font-size: 20px !important;
    font-weight: 600 !important;
}


@keyframes fadeInRight {
    from {
        opacity: 0;
        transform: translateX(-40px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

.animate-fade-in-right {
    animation: fadeInRight 0.9s ease-out forwards;
}


.fade-in-left {
    opacity: 0;
    transform: translateX(40px);
    transition: all 0.8s ease-out;
    will-change: transform, opacity;
}

.fade-in-left.is-visible {
    opacity: 1;
    transform: translateX(0);
}

@media (max-width: 600px) {
    .text-display-hero {
        font-size: 51px !important;
    }

    .animate-marquee {
        animation-duration: 10s !important;
    }
}